﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using System.Data;
using System.Reflection;

namespace XamPieChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataSet ds = new DataSet();

            DataTable table1 = new DataTable("table1");
            table1.Columns.Add("Label", typeof(MyClass));
            table1.Columns.Add("Value", typeof(double));
            table1.Columns.Add("Id", typeof(int));
            table1.Rows.Add(new MyClass(){ MyProperty = 10}, 10,1);
            table1.Rows.Add(new MyClass(){ MyProperty = 20}, 20, 2);
            table1.Rows.Add(new MyClass(){ MyProperty = 30}, 30, 3);

            ds.Tables.Add(table1);

            xamPieChart1.ItemsSource = ds.Tables[0].DefaultView; 
        }

        public class MyClass
        {
            public double MyProperty { get; set; }

            public override string  ToString()
            {
                double sum = 60;
                double percent = Math.Round(((MyProperty / sum) * 100), 2);
                return percent.ToString() + "%";
            }
        }
    }    
}
